%title Curse you, Cummings.  This one's by me x.x
%date 2005-10-06 04:43:17
:diary:livejournal:fossils:

i'd like to Wrap you up in me
which is comfy and well
-chin on shoulder to nose
on cheek to brush over
ear and Press on mid;
hands like paws i want
you to Have them:Keep
them in your pockets
and Lean on this me
around you.